*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
     margin: 0 auto;
    line-height: 1.8;
    max-width: 1080px;
    font-family: Arial;
    font-size: 1rem;
    padding-top: 80px;
}


html{
    scroll-behavior: smooth;
    font-size: 1rem;
}
  /* header */
 /* Navbar tag */

    .menu-toggle{
        display: none;
        font-size: 1.4rem;
        cursor: pointer;

    }


.nav-wrap{
    max-width: 800px;
    font-size: 1rem;
    font-family: Arial;
    font-weight: 50;
    display: flex;
    padding: 4px;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    
}

nav{
     position: fixed;
     top: 0.5px;
     background-color: #fff;
     padding: 4px;
      border-radius: 24px;
      transition: top 0.3s ease;
      width: 88%;
      z-index: 1000;
      
}

header{
  justify-items: center;

 
}

nav.hide{
    top: -100px;
}

nav img{
    width: 200px;
    height: auto;
}

a{
    text-decoration: none;
    font-size: 1rem;
    font-weight: 500;
    color: black;
    transition-duration: 0.5s ease-out;

}

.nav-wrap a:hover{
    color: rgba(44, 111, 197, 0.986);
}

.navlink{
    display: flex;
    gap: 60px;
     
}

.drop-down{
    position: relative;
}

.drop-down-content{
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    min-width: 250px;
    z-index: 10;
    list-style: none;
    padding: 20px;
    margin: 0px;
    line-height: 2;
    border-radius: 12px;
}

.drop-down:hover .drop-down-content{
    display: block;
}

.drop-down:hover .drop-btn{
    border-bottom: 2px solid #fff;
}

.drop-down-content li{
    border-bottom: 1px solid #f0f0f0;
}

.drop-down-content li:last-child{
    border-bottom: none;
}

.drop-down-content a{
    font-size: 0.9rem;

}


/* Animation */
@keyframes appear{
    from{
    opacity: 0;
    scale: 0.5;
    }
    to{
         opacity: 1;
        scale: 1;
    }
}

 /* Purchase Loans heading  */
.purchase-head-wrap{
    max-width: 100%;
    height: auto;
    padding: 120px;
    background-color: rgba(44, 111, 197, 0.986); 
    font-size: 1.2rem;
    line-height: 1.5;
    justify-content: space-between;
    font-family: sans-serif;
    color: #fff;
}

h2{
    font-family: Arial;
    font-size: 2.6rem;
    font-weight: bolder;
}

.purchase-head-wrap a{
    color: #fff;
    padding: 14px;
    border-radius: 12px;
    background-color: blue;
    transition: 0.3s step-end;
}

.purchase-head-wrap a:hover{
    color: blue;
    background-color: #fff;
}

 /* General wrap1 */
 .purchase-general-wrap1{
    display: flex;
    flex-direction: row;
    gap: 40px;
 }

.linksandform{
    opacity: 0;
    transform: translateY();
    animation: appear linear forwards;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
}

.purchase-img, .para1, .hard-money-purchase{
    opacity: 0;
    transform: translateY();
    animation: appear linear forwards;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;

}

  /* purchase links*/
  .purchase-links{
    display: flex;
    flex-direction: column;
    line-height: 0.5;

  }

  .purchase-links a{
    background-color: #a6e4f3;
    padding: 30px;
    border-radius: 16px;
    color: #003366;
    font-weight: 700;
  
  }
 .quote-form{
     background-color: #a6e4f3;
     text-align: center;
     margin-top: 40px;
     padding: 24px;
     border-radius: 16px;
     opacity: 0;
    transform: translateY();
    animation: appear linear forwards;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;

 }

  .quote-form h3{
    color: #003366;
    margin-bottom: 20px;
    margin-top: 20px;

  }

  .quote-form input{
    padding: 12px;
    border-radius: 12px;
    justify-content: center;
    border: none;
    outline-color: rgb(10, 222, 230);
    
  }

  .quote-form button{
    padding: 8px 80px;
    cursor: pointer;
    transition: ease-out;
    background-color: #003366;
    border-radius: 8px;
    border: none;
    color: #fff;
  }

  .quote-form button:hover{
    background-color: #fff;
    color: #003366;
  }
 
 /* purchase content wrap */

 .purchase-content-wrap{
    width: 650px;
 }


.purchase-content-wrap img{
    width: 100%;
    height: 100%;
    border-radius: 24px;
    margin-top: 40px;
}


h3{
    font-size: 1.6rem;
    margin-top: 40px;
}

.key-program{
    line-height: 2.5;
    opacity: 0;
    transform: translateY();
    animation: appear linear forwards;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
}

 /* FAQ tag */
.faq-wrap{
        max-width: 90%;
        font-family: sans-serif;
        font-size: 1rem;
        margin-top: 50px;
        margin: 0 auto;
        padding: 10px;
        opacity: 0;
    transform: translateY();
    animation: appear linear forwards;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;
     }

     details{
        border-bottom: 1px solid #ddd;
        padding: 16px 0;
     }

     summary{
        list-style: none;
        display: flex;
        justify-content: space-between;
        align-items: center;
        cursor: pointer;
        font-weight: bold;
        font-size: 1rem;
        color: rgba(44, 111, 197, 0.986);
        transition: 0.3s ease-in-out;

     }

      /* Custom, icon logic */
      summary::after{
        content: '+';
        color: #003366
      }


      details[open] summary::after{
        content: '-';  
        
      }

        .content{
        padding-top: 10px;
        color: #555;
        line-height: 1.5;
        font-size: 1rem;
      }

      /* Footer tag */

  .footer-wrap{
   max-width: 100%;
    background-color: rgba(178, 245, 245, 0.500);
    margin-top: 80px;
    display: grid;
    grid-template-columns: 450px 1fr 1fr;
    padding-bottom: 40px;
    padding-top: 40px;
    padding-left: 40px;
    padding-right: 40px;
    justify-content: space-between;
    gap: 40px;
    font-family: Arial;
    font-size: 1rem;
    line-height: 1.5;
    opacity: 0;
    transform: translateY();
    animation: appear linear forwards;
    animation-timeline: view();
    animation-range: entry 0% cover 40%;

  }

  .footer-symbols{
    display: flex;
    gap: 5px;
    
  }

  .footer-symbols img{
    border: solid;
    border-radius: 80px;
    border-color: rgba(178, 245, 245, 0.500);
  }
  /* footer company tag */
  .company{
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  .company a{
    font-size: 1rem;
    color: #000;
    transition: 0.3s all ease-in-out;
  }

  .company a:hover{
    color: rgba(44, 111, 197, 0.986);
    text-decoration: underline;
  }

  h6 {
    font-size: 1.4rem;
    color: rgba(44, 111, 197, 0.986);

  }


  .span-time{
    color: rgba(44, 111, 197, 0.986);
    margin-left: 80px;
  }

  .span-sun{
    color: rgb(241, 182, 18);
    margin-left: 230px;
  }

    /* copyright */
    .copyright{
        text-align: center;
        color: rgba(44, 111, 197, 0.986);
        font-size: 1rem;
        font-family: arial;
        font-style: italic;
        background-color: rgba(178, 245, 245, 0.500);
        padding-bottom: 40px;

    }

    footer hr{
        border-color:  rgba(74, 142, 231, 0.973);
        
    }


     
     /* Mobile Responsiveness */

    @media (min-width: 320px) and (max-width: 599px){
        /* body */
    body{
    max-width: 480px;
    overflow-x: hidden;
    overflow-y: auto;
}

html{
    font-size: 1rem;
}
/* Navbar tag */


nav{
    width: 100%;
}


.menu-toggle{
    display: block;
    color: #05488b;
    font-size: 2rem;
    cursor: pointer;

}


/* transform to X */

.menu-toggle.active span:nth-child(1){
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2){
    opacity: 0;
}

.menu-toggle.active span:nth-child(3){
    transform: rotate(-45deg) translate(7px, -6px);
}



.navlink{
    position: absolute;
    top: 70px;
    left: 0;
    width: 100%;
    background: #fff;
    display: none;
    flex-direction: column;
    padding: 20px;
    transition: all 0.3s ease;
    gap: 20px;
}

.navlink a {
    display: block;
    padding: 0;
}

.navlink.active{
    display: flex;
}



header img{
    width: 180px;
    height: auto;
}


.nav-wrap a{
    font-size: 1rem;
}

.drop-down-content{
    display: none;

}

.drop-down.active .drop-down-content{
    display: block;
}



/* purchase Hero section  */
.purchase-head-wrap{
    max-width: 100%;
    height: 50%;
    padding: 50px 20px;
    font-size: 1.1rem;
    line-height: 1.2;
}

h2{
    font-size: 2rem;
}


/* General wrap1 */
 .purchase-general-wrap1{
    display: flex;
    flex-direction: column-reverse;
    padding: 10px;
 }

 /* refinance content wrap */

 .purchase-content-wrap{
    max-width: 100%;
 }


.purchase-content-wrap img{
    width: 100%;
    height: 100%;

}


h3{
    font-size: 1.4rem;
    margin-top: 40px;
    line-height: 1.2;
    margin-bottom: 20px;
}

.purchase-links a{
    font-weight: 500;
  
  }

  
 /* FAQ tag */
.faq-wrap{
        margin-top: 40px;
        padding: 10px;
}

details{
        border-bottom: 1px solid #ddd;
        padding: 16px 0;
        font-size: 1rem;
     }

     summary{
        font-weight: 600;
        font-size: 1rem;
  
     }



/* Footer tag */

  .footer-wrap{
    margin-top: 40px;
    display: block;
    padding: 40px 16px;
    font-family: Arial;
    font-size: 1rem;
    line-height: 1.5;

  }

   .footer-symbols{
    display: flex;
    gap: 0px;
    
  }

  .footer-symbols img{
    width: 80px;
    border: solid;
    border-radius: 80px;
    border-color: rgba(178, 245, 245, 0.500);
   margin-left: 16px;
  }

  /* footer company tag */
  h6 {
    font-size: 1.2rem;
    color: rgba(44, 111, 197, 0.986);
    margin-top: 20px;

  }

  .span-sun{
    color: rgb(241, 182, 18);
    margin-left: 220px;
  }

   /* copyright */
    .copyright{
        padding: 20px;

    }


    }


    
    @media (min-width: 600px) and (max-width: 820px){

      body{
      max-width: 768px;
      overflow-x: hidden;
      overflow-y: auto;
}

html{
  font-size: 1.1rem;
}

/* Navbar tag */


nav{
    width: 100%;
}


.menu-toggle{
    display: block;
    color: #05488b;
    font-size: 2rem;
    cursor: pointer;

}


/* transform to X */

.menu-toggle.active span:nth-child(1){
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2){
    opacity: 0;
}

.menu-toggle.active span:nth-child(3){
    transform: rotate(-45deg) translate(7px, -6px);
}



.navlink{
    position: absolute;
    top: 70px;
    left: 0;
    width: 100%;
    background: #fff;
    display: none;
    flex-direction: column;
    padding: 20px;
    transition: all 0.3s ease;
    gap: 20px;
}

.navlink a {
    display: block;
    padding: 0;
}

.navlink.active{
    display: flex;
}



header img{
    width: 180px;
    height: auto;
}


.nav-wrap a{
    font-size: 1rem;
}

.drop-down-content{
    display: none;

}

.drop-down.active .drop-down-content{
    display: block;
}


 /* General wrap1 */
 .purchase-general-wrap1{
    display: flex;
    flex-direction: row;
    gap: 30px;
 }



  /* purchase links*/

  .purchase-links a{
    padding: 20px;
    font-size: 1rem;
    line-height: 1.5;
  
  }

 .quote-form{
     line-height: 1.2;

 }


  .quote-form button{
    padding: 8px 70px;
    font-size: 1.2rem;
  }


/* footer company tag */

  .footer-wrap{
    display: block;
    align-content: center;
    text-align: center;
  }

  .footer-symbols{
    justify-content: center;
  }
 
    }

